# AngleSharp Documentation

We have more detailed information regarding the following subjects:

- [Getting Started](Basics.md)
- [API Documentation](API.md)
- [More Examples](Examples.md)
- [Form Submission by Example](Forms.md)
- [Performance Comparisons](Performance.md)
- [Feature Status](Features.md)
- [Frequently Asked Questions](Questions.md)
- [Migration Information](Migration.md)
- [Major Releases](Releases.md)

## Why AngleSharp?

If you need some arguments for using AngleSharp (over similar libraries) then here we go:

- AngleSharp is totally standard-driven
- AngleSharp can also parse related content like CSS, SVG or MathML
- AngleSharp stands all HTML5-lib tests (i.e. it is a valid HTML5 parser)
- AngleSharp handles malformed HTML exactly as every modern browser
- AngleSharp contains brand new elements like support for the `<template>` tag
- AngleSharp performs at least as good as other libraries, mostly better
- AngleSharp provides very useful extension methods for DOM manipulation
- AngleSharp gives you a decoupled API that is easy to use
- AngleSharp is free of dependencies to other libraries
- AngleSharp can be used in cross-platform solutions
- AngleSharp can validate and submit forms
- AngleSharp is very easy to extend and customize

There are tons of other arguments. With the provided configuration abilities, and the given extensibility, AngleSharp can be used in various scenarios.
