﻿namespace AngleSharp.Html
{
    using System;

    /// <summary>
    /// The collection of (known / used) link rel names.
    /// </summary>
    public static class LinkRelNames
    {
        /// <summary>
        /// The stylesheet relation.
        /// </summary>
        public static readonly String StyleSheet = "stylesheet";

        /// <summary>
        /// The import relation.
        /// </summary>
        public static readonly String Import = "import";

        /// <summary>
        /// The author relation.
        /// </summary>
        public static readonly String Author = "author";

        /// <summary>
        /// The prefetch relation.
        /// </summary>
        public static readonly String Prefetch = "prefetch";

        /// <summary>
        /// The icon relation.
        /// </summary>
        public static readonly String Icon = "icon";

        /// <summary>
        /// The prev relation.
        /// </summary>
        public static readonly String Prev = "prev";

        /// <summary>
        /// The next relation.
        /// </summary>
        public static readonly String Next = "next";

        /// <summary>
        /// The license relation.
        /// </summary>
        public static readonly String License = "license";

        /// <summary>
        /// The alternate relation.
        /// </summary>
        public static readonly String Alternate = "alternate";

        /// <summary>
        /// The search relation.
        /// </summary>
        public static readonly String Search = "search";

        /// <summary>
        /// The pingback relation.
        /// </summary>
        public static readonly String Pingback = "pingback";

        /// <summary>
        /// The sidebar relation.
        /// </summary>
        public static readonly String Sidebar = "sidebar";
    }
}
